Page MenuHomePhabricator

Move new lld's code to Common subdirectory.
ClosedPublic

Authored by ruiu on Sep 8 2017, 3:38 PM.

Details

Summary

New lld's files are spread under lib subdirectory, and it isn't easy
to find which files are actually maintained. This patch moves maintained
files to Common subdirectory so that which files are needed by the new lld
is obvious.

Event Timeline

ruiu created this revision.Sep 8 2017, 3:38 PM
silvas added a subscriber: silvas.Sep 10 2017, 11:22 AM

FWIW, this makes sense to me. (and I like the naming/path choices)

It has been an increasing problem lately that people get confused by the presence of the unmaintained atom linker, so agree that it is a step in the right direction to clearly delineate it like this.

ruiu edited the summary of this revision. (Show Details)Sep 11 2017, 9:00 AM
rnk accepted this revision.Oct 2 2017, 12:54 PM
rnk added a subscriber: rnk.

lgtm

This revision is now accepted and ready to land.Oct 2 2017, 12:54 PM
This revision was automatically updated to reflect the committed changes.